class Slots:
    @property
    def __dict__(self):
        return {
            s: getattr(self, s)
            for s in self.__slots__ if hasattr(self, s)
        }


def parse(cls, val, default=None):
    try:
        return cls(val)
    except:
        return default